<?php
    switch ($actionID) {
    case 'import_public_key':
        $title = _("Import Public PGP Key");
        $insert_text = _("Insert Public PGP Key Here");
        break;

    case 'import_personal_public_key':
        $title = _("Import Personal Public PGP Key");
        $insert_text = _("Insert Personal Public PGP Key Here");
        break;

    case 'import_personal_private_key':
        $title = _("Import Personal Private PGP Key");
        $insert_text = _("Insert Personal Private PGP Key Here");
        break;
    }
?>
<form enctype="multipart/form-data" method="post" name="import_pgp_key" action="<?php echo $selfURL ?>">
<?php if ($GLOBALS['browser']->hasQuirk('broken_multipart_form')): ?>
<input type="hidden" name="msie_formdata_is_broken" value="" />
<?php endif; ?>
<input type="hidden" name="reload" value="<?php echo Util::getFormData('reload') ?>" />
<input type="hidden" name="actionID" value="<?php echo $target ?>" />
<?php Util::pformInput(); ?>

<table border="0" cellspacing="0" cellpadding="2" width="100%">
 <tr>
  <td align="left" class="header" nowrap="nowrap"><b><?php echo $title ?></b></td>
 </tr>

 <tr>
  <td class="item" align="left">
   <table border="0" cellpadding="0" width="100%">
    <tr>
     <td class="item" align="left"><b><?php echo $insert_text ?>:</b></td>
    </tr>
    <tr>
     <td class="item" align="left">
      <textarea name="import_key" rows="6" cols="80" class="fixed"></textarea>
     </td>
    </tr>
   </table>
  </td>
 </tr>

 <tr>
  <td class="item" align="left"><font color="red"><b>--<?php echo _("OR") ?>--</b></font></td>
 </tr>

 <tr>
  <td class="item" align="left">
   <table border="0" cellpadding="0" width="100%">
    <tr>
     <td class="item" align="left">
      <b><?php echo _("Upload") ?>:</b>&nbsp;<input name="upload_key" type="file" size="40" class="fixed" />
     </td>
    </tr>
   </table>
  </td>
 </tr>

 <tr>
  <td nowrap="nowrap" align="center" class="header" valign="middle">
   <input type="submit" name="import" class="button" value="<?php echo _("Import Key") ?>" />
   <input type="submit" name="import" class="button" onclick="window.close();" value="<?php echo _("Cancel") ?>" />
  </td>
 </tr>
</table>

</form>
</body>
</html>
